package kr.co.hanwha.hifive.adapter.contract;

import android.support.annotation.NonNull;

import java.util.ArrayList;

import kr.co.hanwha.hifive.base.BaseListContract;
import kr.co.hanwha.hifive.data.model.DabProjectData;

/**
 * Created by sanghoonkwon on 2018. 3. 15..
 */

public interface MainDashboardListContract extends BaseListContract {
    interface OnMainDashboardListListener {
        /**
         * Project 클릭
         *
         * @param data Project 데이터
         */
        void onItemClicked(@NonNull DabProjectData data);
    }

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void addItems(ArrayList<DabProjectData> list);
    }
}

